Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Creating the Capture Context


This section shows you how to request the capture context.

POST /uc/v1/sessions

POST /uc/v1/sessions

Required Fields for Requesting the Capture Context

Your capture context request must include these fields:

allowedPaymentTypes Required

Set to CLICKTOPAY.

country Required
data.orderInformation.amountDetails.currency Required
data.orderInformation.amountDetails.totalAmount Required

Include this field for values greater than or equal to 0.00.

locale Required
targetOrigins Required

The URL in this field value must contain https.

{    "targetOrigins": [      "https://unified-payments.appspot.com"    ],    "allowedCardNetworks": [      "VISA",      "MASTERCARD",      "AMEX"    ],    "allowedPaymentTypes": [      "CLICKTOPAY"    ],    "country": "US",    "locale": "en_US",    "captureMandate": {      "billingType": "FULL",      "requestEmail": true,      "requestPhone": true,      "requestShipping": true,      "shipToCountries": [        "US",        "GB"      ],      "showAcceptedNetworkIcons": true    },    "data": {      "orderInformation": {        "amountDetails": {          "totalAmount": "21.00",          "currency": "USD"        },        "billTo": {          "address1": "1111 Park Street",          "address2": "Apartment 24B",          "administrativeArea": "NY",          "country": "US",          "district": "district",          "locality": "New York",          "postalCode": "00000",          "company": {            "name": "Visa Inc",            "address1": "900 Metro Center Blvd",            "administrativeArea": "CA",            "buildingNumber": "1",            "country": "US",            "district": "district",            "locality": "Foster City",            "postalCode": "94404"          },          "email": "[email protected]",          "firstName": "Maya",          "lastName": "Tran",          "middleName": "S",          "title": "Ms",          "phoneNumber": "1234567890",          "phoneType": "phoneType"        },        "shipTo": {          "address1": "Visa",          "address2": "123 Main Street",          "address3": "Apartment 102",          "administrativeArea": "CA",          "buildingNumber": "string",          "country": "US",          "locality": "Springfield",          "postalCode": "99999",          "firstName": "Joe",          "lastName": "Soap"        }      }    }  }
eyJraWQiOiJ6dSIsImFsZyI6IlJTMjU2In0.eyJmbHgiOnsicGF0aCI6Ii9mbGV4L3YyL3Rva2VucyIsImNvbXBsZXRlUGF0aCI6Ii9mbGV4L3YyL2NvbXBsZXRlIn19...
{  "kid": "zu",  "alg": "RS256"}
{  "flx": {    // filled with token metadata   },  "ctx": [    {      // filled with data related to your capture context request parameters       "data": {        "clientLibrary": // taken dynamically from response ,        "clientLibraryIntegrity": //taken dynamically from response: "sha256-cQ1t6GQcN5El4ml1H10eaSV+TuS/hFryblLLl9s/xjY="      },      "type": "gda-0.10.0"    }  ],  "iss": "Flex API",  "exp": 1765827144,  "iat": 1765826244,  "jti": "k7oy3rhyKnLr44pf"}

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.